Bug 144570 - missing BuildRequires (xorg-x11-devel); doesn't clean buildroot
Summary: missing BuildRequires (xorg-x11-devel); doesn't clean buildroot
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: ImageMagick   
(Show other bugs)
Version: 3
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Matthias Clasen
QA Contact: Mike McLean
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-01-08 13:39 UTC by Paul Bolle
Modified: 2007-11-30 22:10 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-04-26 05:01:23 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Paul Bolle 2005-01-08 13:39:42 UTC
Description of problem:
There are two minor issues with the current ImageMagick specfile: it misses a
BuildRequires (xorg-x11-devel) and the buildroot isn't removed after the build.

Version-Release number of selected component (if applicable):
6.0.7

How reproducible:
always

Steps to Reproduce:
1. rpmbuild -bb $SPECS/ImageMagick.spec
2.
3.
  
Actual results:
X11 dependant programs (animate display import) won't get build and included in
the general ImageMagick rpm.
Buildroot will not be removed.

Expected results:
Build X11 programs too and include those in the rpm.
Remove buildroot.

Additional info:
The BuildRequires stuff is a follow up of sorts to bug 126509.
I'm not sure why "rm -rf $RPM_BUILD_ROOT" is commented out in the specfile.
Can't really come up with a reason for that ...

I guess won't have to supply a patch for the specfile (as it's trivial).

Comment 1 Matthias Clasen 2005-04-26 05:01:23 UTC
Fixed in rawhide. FC3 update will be pushed to testing tomorrow.


Note You need to log in before you can comment on or make changes to this bug.